package com.nsgk.agentcentersdk;

import com.nsgk.agentcentersdk.api.NSApiResult;
import com.nsgk.agentcentersdk.api.NSSDK;
import com.nsgk.agentcentersdk.api.NSSDKClient;
import com.nsgk.agentcentersdk.core.NSProtocol;
import com.nsgk.agentcentersdk.message.NSMessage;
import com.nsgk.agentcentersdk.utility.NSReflect;

public final class NSMain
{
    public static void main(String[] args) throws Exception
    {
        Test();
        //Test_reflect();
    }

    public static void Test_reflect() throws InstantiationException, IllegalAccessException
    {
        Class<?> NSContractionEntity_class = NSReflect.Class("com.nsgk.agentcentersdk.entity.NSContractionEntity");
        Class<?> NSSDK_class = NSReflect.Class("com.nsgk.agentcentersdk.api.NSSDK");
        Object client;
        Object entity;
        Object result;

        NSReflect.CallStatic_s(NSSDK_class, "InitClient", String.class, "http://localhost", short.class, (short) 8081, String.class, "test", String.class, "MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAKoR8mX0rGKLqzcWmOzbfj64K8ZIgOdHnzkXSOVOZbFu/TJhZ7rFAN+eaGkl3C4buccQd/EjEsj9ir7ijT7h96MCAwEAAQ==");
        client = NSReflect.CallStatic(NSSDK_class, "InstanceClient");

        entity = NSContractionEntity_class.newInstance();
        NSReflect.Call(entity, "setBuildingTime", "2000-12-23");
        NSReflect.Call(entity, "setName", "测试合同");
        NSReflect.Call(entity, "setDeptId", 187L);
        NSReflect.Call(entity, "setBookId", 166L);
        NSReflect.Call(entity, "setOutId", 250L);

        result = NSReflect.Call_s(client, "Send", int.class, NSProtocol.NS_PROTOCOL_CONTRACTION, NSReflect.Class("com.nsgk.agentcentersdk.entity.NSEntityBase"), entity);
        System.err.println(result);
    }

    public static void Test()
    {
        NSSDKClient client;
        NSMessage entity;
        NSApiResult result;

        NSSDK.InitClient("http://localhost", (short) 8081, "371002100005", "MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAKoR8mX0rGKLqzcWmOzbfj64K8ZIgOdHnzkXSOVOZbFu/TJhZ7rFAN+eaGkl3C4buccQd/EjEsj9ir7ijT7h96MCAwEAAQ==", 0);
        client = NSSDK.InstanceClient();

        entity = new NSMessage();
        entity.setDeptId(187L)
              .setBookId(166L)
                .setOrgCode("371002100005")
                .setBookName("张村账套")
              /*.setOrgCode("3710021000050001")
              .setBookName("张村1组账套")
              .setOrgCode("371002100")
              .setBookName("张村镇账套")
              .setOrgCode("371002")
              .setBookName("环翠区账套")*/
        ;
        entity.Parm("buildingTime", "2000-12-25");
        entity.Parm("name", "测试合同");
        entity.Parm("outId", "123");
        result = client.Send(NSProtocol.NS_PROTOCOL_CONTRACTION, entity);
        System.err.println(result);
    }
}
