package com.nsgk.agentcentersdk.err;

// 错误码
public final class NSErrno
{
    public static final int ERRNO_OK = 0;

    public static final int ERRNO_ERROR = 0x00001;

    public static final int ERRNO_SYS_INVALID_SIGN = 0x01001;
    public static final int ERRNO_SYS_ENCRYPT_FAIL = 0x01002;
    public static final int ERRNO_SYS_DECRYPT_FAIL = 0x01003;
    public static final int ERRNO_SYS_INVALID_PROTOCOL = 0x01004;
    public static final int ERRNO_SYS_SIGN_FAIL = 0x01005;
    public static final int ERRNO_SYS_HTTP = 0x01006;
    public static final int ERRNO_SYS_INVALID_FIELD = 0x01007;
    public static final int ERRNO_SYS_TIME_DIFF = 0x01008;

    public static final int ERRNO_CLI_PARAMETER_MISSING = 0x03001;
    public static final int ERRNO_CLI_DATA_MISSING = 0x03002;
    public static final int ERRNO_CLI_SIGN_MISSING = 0x03003;

    public static final int ERRNO_SRV_HTTP = 0x04001;

    private NSErrno() {}

    public static String ErrStr(int errno)
    {
        switch(errno)
        {
            case ERRNO_SYS_INVALID_SIGN: return "签名无效";
            case ERRNO_SYS_ENCRYPT_FAIL: return "加密失败";
            case ERRNO_SYS_DECRYPT_FAIL: return "解密失败";
            case ERRNO_SYS_INVALID_PROTOCOL: return "无效协议";
            case ERRNO_SYS_SIGN_FAIL: return "签名失败";
            case ERRNO_SYS_HTTP: return "Http请求错误";
            case ERRNO_SYS_TIME_DIFF: return "数据过期";

            case ERRNO_CLI_PARAMETER_MISSING: return "参数缺失";
            case ERRNO_CLI_DATA_MISSING: return "数据缺失";
            case ERRNO_CLI_SIGN_MISSING: return "签名缺失";

            case ERRNO_ERROR: default: return "错误";
        }
    }
}
