package com.nsgk.agentcentersdk.network;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import cn.hutool.http.Method;
import com.nsgk.agentcentersdk.utility.NSHttp;

// Http网络
public final class NSNetworkManager
{
    public static NSNetworkResponse Post(NSNetworkRequest req)
    {
        HttpRequest network;
        HttpResponse execute;
        NSNetworkResponse response;

        network = CreateRequest(NSHttp.BuildUrl(req.getUrl(), req.getQuery()), "post");
        req.getHeaders().forEach(network::header);
        network.body(req.getData());
        network.setConnectionTimeout(req.getTimeout());
        network.setReadTimeout(req.getTimeout());
        execute = network.execute();
        response = new NSNetworkResponse();
        response.setData(execute.body());
        response.setUrl(req.getUrl());
        execute.headers().forEach(response::AddHeader);
        response.setStatusCode(execute.getStatus());
        return response;
    }

    private static HttpRequest CreateRequest(String url, String method)
    {
        return HttpUtil.createRequest(Method.valueOf(method.toUpperCase()), url);
    }
}
