package com.nsgk.agentcentersdk.network;

import com.nsgk.agentcentersdk.utility.NSArr;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.LinkedHashMap;
import java.util.Map;

// Http请求
@Data
@Accessors(chain = true)
public class NSNetworkRequest extends NSNetworkTransport
{
    private final Map<String, Object> query   = new LinkedHashMap<>();
    private       int                 timeout = 0;

    public NSNetworkRequest ClearQueries()
    {
        query.clear();
        return this;
    }

    public NSNetworkRequest AddQuery(String name, Object value)
    {
        query.put(name, value);
        return this;
    }

    public Object Query(String name, Object...value)
    {
        return query.getOrDefault(name, NSArr.DefParm(value));
    }
}
