package com.nsgk.agentcentersdk.utility;

import java.util.ArrayList;
import java.util.stream.Stream;

// 数组工具
public final class NSArr
{
    public static <T> T DefParm(T...args)
    {
        if(null == args || args.length == 0)
            return null;
        return args[0];
    }

    public static <T> T GetParm(T def, T[] args)
    {
        if(null == args || args.length == 0)
            return def;
        return args[0];
    }

    public static <T> boolean IsEmpty(T...args)
    {
        return(null == args || args.length == 0);
    }

    public static <T> boolean IsNotEmpty(T...args)
    {
        return !IsEmpty(args);
    }

    public static <T> Stream<T> Stream(T...args)
    {
        return IsEmpty(args) ? new ArrayList<T>().stream() : Stream.of(args);
    }

    private NSArr() {}
}
