package com.nsgk.agentcentersdk.utility;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.io.IoUtil;
import cn.hutool.core.net.url.UrlQuery;
import cn.hutool.core.util.URLUtil;

import javax.servlet.ServletInputStream;
import javax.servlet.http.HttpServletRequest;
import java.io.BufferedReader;
import java.nio.charset.StandardCharsets;
import java.util.LinkedHashMap;
import java.util.Map;

// Http工具
public final class NSHttp
{
    public static Map<String, String> ParseQuery(String str)
    {
        Map<String, String> map;
        Map<CharSequence, CharSequence> queryMap;

        map = new LinkedHashMap<>();
        if(NSStr.IsEmpty(str))
            return map;

        queryMap = UrlQuery.of(str, StandardCharsets.UTF_8).getQueryMap();
        queryMap.forEach((k, v) -> map.put(k.toString(), NSStr.ToString(v)));
        return map;
    }

    public static String GetRequestBody(HttpServletRequest request)
    {
        ServletInputStream reader;

        reader = null;
        try
        {
            reader = request.getInputStream();
            return IoUtil.read(reader, StandardCharsets.UTF_8);
        }
        catch(Exception e)
        {
            e.printStackTrace();
            return "";
        }
        finally
        {
            IoUtil.close(reader);
        }
    }

    public static String BuildUrl(String url, Map<String, Object> query)
    {
        if(CollectionUtil.isEmpty(query))
            return url;
        return url + "?" + URLUtil.buildQuery(query, StandardCharsets.UTF_8);
    }

    private NSHttp() {}
}
