package com.nsgk.agentcentersdk.utility;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.crypto.SecureUtil;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

// 签名工具
public final class NSSignTool
{
    public static String Sign(Object object, String...signFields)
    {
        return Sign(BeanUtil.beanToMap(object), signFields);
    }

    public static String Sign(Map<String, Object> map, String...signFields)
    {
        List<String> fields;
        StringBuilder sb;

        fields = Arrays.stream(signFields).sorted(String::compareTo).collect(Collectors.toList());
        sb = new StringBuilder();
        for(int i = 0; i < fields.size(); i++)
        {
            if(i > 0)
                sb.append("&");
            String key = fields.get(i);
            sb.append(fields.get(i)).append("=").append(map.getOrDefault(key, ""));
        }
        return SecureUtil.md5(sb.toString());
    }

    private NSSignTool() {}
}
