package com.ruoyi.web.controller.api;

import com.nsgk.agentcentersdk.api.NSApiResult;
import com.nsgk.agentcentersdk.api.NSSDK;
import com.nsgk.agentcentersdk.api.NSSDKServer;
import com.nsgk.agentcentersdk.core.NSReportObject;
import com.nsgk.agentcentersdk.err.NSErrno;
import com.nsgk.agentcentersdk.err.NSException;
import com.nsgk.agentcentersdk.message.NSContractionMessage;
import com.ruoyi.agentcenter.object.Session;
import com.ruoyi.agentcenter.service.IAgentCenter;
import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.common.core.controller.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 上报接口Controller
 * 
 * @author zhao
 */
@RestController
@RequestMapping("/agentcenter/api")
public class AgentCenterController extends BaseController
{
    @Autowired
    private IAgentCenter agentCenter;

    @PostMapping("/test")
    public NSApiResult test(HttpServletRequest request)
    {
        NSSDKServer server;
        NSReportObject<NSContractionMessage> recv;

        NSSDK.InitServer(RuoYiConfig.AgentCenter.privateKey);
        server = NSSDK.InstanceServer();
        recv = server.Recv(request, NSContractionMessage.class);

        return server.Resp(0, "测试成功", recv.getDataStr());
    }

    @PostMapping("/interface")
    public NSApiResult report(HttpServletRequest request)
    {
        NSSDKServer server;
        Session<?> session;

        NSSDK.InitServer(RuoYiConfig.AgentCenter.privateKey);
        server = NSSDK.InstanceServer();
        try
        {
            session = agentCenter.postHandle(server, request);
            return server.Resp(session.result.getCode(), session.result.getMessage(), session.result.getData());
        }
        catch(NSException e)
        {
            return server.Fail(e.getErrno(), e.getMessage());
        }
        catch(Exception e)
        {
            return server.Fail(NSErrno.ERRNO_ERROR, e.getMessage());
        }
    }
}
