package com.ruoyi.web.controller.misc;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.system.service.ISysDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 杂项::部门
 * 
 * @author zhao
 */
@RestController
@RequestMapping("/misc/dept")
public class DeptController extends BaseController
{
    @Autowired
    private ISysDeptService deptService;

    /**
     * 获取部门树
     */
    @GetMapping("/tree")
    public AjaxResult list(SysDept dept)
    {
        return success(deptService.getDeptTree(dept));
    }

    /**
     * 获取市级树
     */
    @GetMapping("/cityTree")
    public AjaxResult cityTree(SysDept dept)
    {
        dept.setAgentCenter(getUserAgentCenter());
        return success(deptService.getCityTree(dept));
    }

}
