package com.ruoyi.web.controller.open;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.service.ISysDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import javax.servlet.http.HttpServletResponse;

/**
 * 杂项::账套
 * 
 * @author zhao
 */
@Controller
public class BookController extends BaseController
{
    @Autowired
    private ISysDeptService deptService;

    /**
     * 进入远程账套
     */
    @GetMapping("/open/book/{orgCode}/{bookId}")
    public void gotoRemoteBootSite(@PathVariable String orgCode, @PathVariable Long bookId, HttpServletResponse response) throws Exception
    {
        String remoteUrl = deptService.getRemoteUrlByOrgCode(orgCode);
        if(StringUtils.isEmpty(remoteUrl))
        {
            response.setStatus(HttpServletResponse.SC_NOT_FOUND);
        }
        else
        {
            // TODO: 直接切换账套
            response.sendRedirect(remoteUrl + "/book/book?bookId=" + bookId);
        }
    }

}
