package com.ruoyi.agentcenter.domain;

import java.util.Date;

import cn.hutool.core.date.DateUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同任务对象 t_agent_contraction
 * 
 * @author zhao
 * @date 2023-07-14
 */
@Data
@Accessors(chain = true)
public class TAgentContraction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 任务id(关联任务表) */
    @Excel(name = "任务id(关联任务表)")
    private Long taskId;

    /** 行政区划代码 */
    @Excel(name = "行政区划代码")
    private String orgCode;

    /** 外部业务ID */
    @Excel(name = "外部业务ID")
    private Long outId;

    /** 账套ID */
    @Excel(name = "账套ID")
    private Long bookId;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 合同名称 */
    @Excel(name = "合同名称")
    private String name;

    /** 签订日期 */
    @Excel(name = "签订日期")
    private String buildingTime;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderAt;

    /** 上报年度(截) */
    @Excel(name = "上报年度")
    private String orderYear;

    /** 上报月份(截) */
    @Excel(name = "上报月份")
    private String orderMonth;

    /** 任务状态 字典 agent_status */
    @Excel(name = "任务状态", dictType = "agent_status")
    private String agentStatus;

    /** 记账状态 字典 order_status */
    @Excel(name = "记账状态", dictType = "order_status")
    private String orderStatus;

    public void normalized()
    {
        orderYear = DateUtil.format(orderAt, "yyyy");
        orderMonth = DateUtil.format(orderAt, "MM");
    }

    private Long rootId;
}
