package com.ruoyi.agentcenter.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务清单对象 t_agent_task
 * 
 * @author zhao
 * @date 2023-07-14
 */
@Data
@Accessors(chain = true)
public class TAgentTask extends BaseEntity
{
    public static final String AGENT_STATUS_READY = "1"; // 待分配
    public static final String AGENT_STATUS_PROCESSING = "2"; // 已分配/处理中
    public static final String AGENT_STATUS_FINISHED = "3"; // 已完成
    public static final String AGENT_STATUS_AUDITED = "4"; // 已审核

    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 所属中心 字典 agent_center */
    @Excel(name = "所属中心", dictType = "agent_center")
    private String agentCenter;

    /** 县代码 */
    @Excel(name = "县代码")
    private String countyCode;

    /** 县名称 */
    @Excel(name = "县名称")
    private String countyName;

    /** 镇代码 */
    @Excel(name = "镇代码")
    private String townCode;

    /** 镇名称 */
    @Excel(name = "镇名称")
    private String townName;

    /** 村代码 */
    @Excel(name = "村代码")
    private String orgCode;

    /** 村名称 */
    @Excel(name = "村名称")
    private String orgName;

    /** 账套id */
    @Excel(name = "账套id")
    private Long bookId;

    /** 账套名称 */
    @Excel(name = "账套名称")
    private String bookName;

    /** 任务年度 */
    @Excel(name = "任务年度")
    private String orderYear;

    /** 任务月份 */
    @Excel(name = "任务月份")
    private String orderMonth;

    /** 凭证数 */
    @Excel(name = "凭证数")
    private Integer voucherCount;

    /** 合同数 */
    @Excel(name = "合同数")
    private Integer contracCount;

    /** 资产数 */
    @Excel(name = "资产数")
    private Integer assetCount;

    /** 任务总数 */
    @Excel(name = "任务总数")
    private Integer allCount;

    /** 完成数 */
    @Excel(name = "完成数")
    private Integer finishCount;

    /** 任务状态 字典 agent_status */
    @Excel(name = "任务状态", dictType = "agent_status")
    private String agentStatus;

    /** 分配用户(用user_name） */
    @Excel(name = "分配用户")
    private String distriUser;

    /** 分配人(用nick_name） */
    @Excel(name = "分配人")
    private String distriNick;

    /** 分配时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分配时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date distriDate;

    /** 任务截止日期 */
    @Excel(name = "任务截止日期")
    private String endAt;

    /** 记账用户(用user_name） */
    @Excel(name = "记账用户")
    private String handleUser;

    /** 记账会计(用nick_name） */
    @Excel(name = "记账会计")
    private String handleNick;

    /** 记账备注 */
    @Excel(name = "记账备注")
    private String handleRemark;

    /** 记账完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记账完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date handleDate;

    /** 审核用户(用user_name） */
    @Excel(name = "审核用户")
    private String auditUser;

    /** 审核人(用nick_name） */
    @Excel(name = "审核人")
    private String auditNick;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditDate;

    /** 评价用户(用user_name） */
    @Excel(name = "评价用户")
    private String appraiseUser;

    /** 评价人(用nick_name） */
    @Excel(name = "评价人")
    private String appraiseNick;

    /** 任务评分 */
    @Excel(name = "任务评分")
    private BigDecimal appraiseScore;

    /** 评价备注 */
    @Excel(name = "评价备注")
    private String appraiseRemark;

    /** 是否评价 */
    @Excel(name = "是否评价", dictType = "sys_yes_no")
    private String isAppraise;

    /** 其他数 */
    private Integer otherCount;

    /** 异常数 */
    @Excel(name = "异常数")
    private Integer abnormalCount;

    private Boolean overdue;
}
