package com.ruoyi.agentcenter.mapper;

import java.util.List;
import com.ruoyi.agentcenter.domain.TAgentContraction;

/**
 * 合同任务Mapper接口
 * 
 * @author zhao
 * @date 2023-07-14
 */
public interface TAgentContractionMapper 
{
    /**
     * 查询合同任务
     * 
     * @param id 合同任务主键
     * @return 合同任务
     */
    public TAgentContraction selectTAgentContractionById(Long id);

    /**
     * 查询合同任务列表
     * 
     * @param tAgentContraction 合同任务
     * @return 合同任务集合
     */
    public List<TAgentContraction> selectTAgentContractionList(TAgentContraction tAgentContraction);

    /**
     * 新增合同任务
     * 
     * @param tAgentContraction 合同任务
     * @return 结果
     */
    public int insertTAgentContraction(TAgentContraction tAgentContraction);

    /**
     * 批量新增合同任务
     *
     * @param list 合同任务
     * @return 结果
     */
    public int insertTAgentContractionBatch(List<TAgentContraction> list);

    /**
     * 批量修改 合同任务
     *
     * @param list 合同任务
     * @return 结果
     */
    public int updateTAgentContractionBatch(List<TAgentContraction> list);

    /**
     * 修改合同任务
     * 
     * @param tAgentContraction 合同任务
     * @return 结果
     */
    public int updateTAgentContraction(TAgentContraction tAgentContraction);

    /**
     * 删除合同任务
     * 
     * @param id 合同任务主键
     * @return 结果
     */
    public int deleteTAgentContractionById(Long id);

    /**
     * 批量删除合同任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTAgentContractionByIds(Long[] ids);

    // Harm
    /**
     * 条件单条查询合同任务
     *
     * @param tAgentContraction 合同任务
     * @return 合同任务条目
     */
    public TAgentContraction selectTAgentContraction(TAgentContraction tAgentContraction);

    /**
     * 条件查询合同任务数量
     *
     * @param tAgentContraction 合同任务
     * @return 合同任务数量
     */
    public Long selectTAgentContractionCount(TAgentContraction tAgentContraction);

    /**
     * 条件查询合同任务是否存在
     *
     * @param tAgentContraction 合同任务
     * @return 合同任务是否存在
     */
    public int selectTAgentContractionExists(TAgentContraction tAgentContraction);

    public List<TAgentContraction> getAgentContractionGroupByDept(TAgentContraction tAgentContraction);
}
