package com.ruoyi.agentcenter.object;

import com.nsgk.agentcentersdk.err.NSErrno;
import lombok.Data;
import lombok.experimental.Accessors;

public class Session<T>
{
    public final int protocol; // 协议
    public final String identifier; // 识别ID, 或为orgCode, 不等于 NSMessage::orgCode
    public final long timestamp; // 客户端时间戳

    public final T data; // 客户端数据
    public final Result result; // 处理结果(服务端响应)

    protected Session()
    {
        throw new RuntimeException("Session<T, R>不能默认实例化");
    }

    public Session(int protocol, String identifier, long timestamp, T data, Result result)
    {
        this.protocol = protocol;
        this.identifier = identifier;
        this.timestamp = timestamp;
        this.data = data;
        this.result = result;
    }

    public Session(int protocol, String identifier, long timestamp, T data)
    {
        this(protocol, identifier, timestamp, data, new Result());
    }

    @Data
    @Accessors(chain = true)
    public static class Result
    {
        private int code;
        private String message;
        private Object data;

        public boolean IsSuccess()
        {
            return code == NSErrno.ERRNO_OK;
        }
    }
}
