package com.ruoyi.agentcenter.vo;

import cn.hutool.core.bean.BeanUtil;
import com.ruoyi.agentcenter.domain.TAgentTask;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Positive;
import java.util.List;

@Data
@Accessors(chain = true)
public class TaskDistrib
{
    @NotEmpty(message = "处理村庄不能为空")
    @Valid
    private List<TaskDistribItem> items;
    @NotEmpty(message = "年不能为空")
    private String orderYear;
    @NotEmpty(message = "月不能为空")
    private String orderMonth;

    private String distriUser;
    private String agentCenter;

    @Data
    @Accessors(chain = true)
    public static class TaskDistribItem
    {
        @NotBlank(message = "村不能为空")
        private String orgCode;
        @NotBlank(message = "处理人不能为空")
        private String handleUser;
        @NotNull(message = "处理天数不能为空")
        @Positive(message = "处理天数必须大于0")
        private Integer days;
    }
}
