package com.ruoyi.common.utils;

import org.apache.commons.codec.binary.Base64;
import javax.crypto.Cipher;
import java.security.*;
import java.security.interfaces.RSAPrivateKey;
import java.security.spec.PKCS8EncodedKeySpec;

/**
 * 密钥工具类
 *
 * @author nsgk
 */
public class SecretUtils {

    public static String decrypt(String str, String privateKey, String...codec) throws Exception {
        //64位解码加密后的字符串
        byte[] inputByte = Base64.decodeBase64(str);
        //base64编码的私钥
        byte[] decoded = Base64.decodeBase64(privateKey);
        RSAPrivateKey priKey = (RSAPrivateKey) KeyFactory.getInstance("RSA").generatePrivate(new PKCS8EncodedKeySpec(decoded));
        //RSA解密
        Cipher cipher = Cipher.getInstance("RSA");
        cipher.init(Cipher.DECRYPT_MODE, priKey);
        //这里直接new String()   ,  不用传输，为了直接查看解密后的明文（base64加密后看不懂）
        String outStr = codec.length > 0 ? new String(cipher.doFinal(inputByte), codec[0]) : new String(cipher.doFinal(inputByte));
//        byte[] decode = Base64.getDecoder().decode(inputByte);    base64编码后的明文
        return outStr;
    }
}
