package com.ruoyi.framework.config;

import com.google.common.eventbus.AsyncEventBus;
import com.google.common.eventbus.EventBus;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Lazy;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.stereotype.Component;

/**
 * EventBus配置
 * 
 * @author zhao
 */
@Component
public class EventBusConfig
{
    @Bean("asyncEventBus")
    @Lazy(value = true)
    public EventBus asyncEventBus(@Qualifier("threadPoolTaskExecutor" ) ThreadPoolTaskExecutor threadPool)
    {
        return new AsyncEventBus("AsyncReportQueue", threadPool);
    }

    @Bean("syncEventBus")
    @Lazy(value = true)
    public EventBus syncEventBus()
    {
        return new EventBus("SyncReportQueue");
    }
}
